#### Previous topic

scipy.spatial.cKDTree.query_pairs

#### Next topic

scipy.spatial.distance

# scipy.spatial.cKDTree.sparse_distance_matrix

`cKDTree.``sparse_distance_matrix`(self, other, max_distance, p=2.)

  Compute a sparse distance matrix

  Computes a distance matrix between two cKDTrees, leaving as zero any distance greater than max_distance.

  Parameters:

  other : cKDTree

  max_distance : positive float

  p : float, 1<=p<=infinity

  > Which Minkowski p-norm to use.

  output_type : string, optional

  > Which container to use for output data. Options: ‘dok_matrix’, ‘coo_matrix’, ‘dict’, or ‘ndarray’. Default: ‘dok_matrix’.

  Returns:

  result : dok_matrix, coo_matrix, dict or ndarray

  > Sparse matrix representing the results in “dictionary of keys” format. If a dict is returned the keys are (i,j) tuples of indices. If output_type is ‘ndarray’ a record array with fields ‘i’, ‘j’, and ‘k’ is returned,